#!/bin/sh

html="$1"
category="$2"
lst="$3"
search="$4"


libdir=`dirname $0`

. $libdir/common.sh

gentbl()
{
	
	awk -v want_category="$1" -v "search=$search" '
		BEGIN { q = "\"" }

		/^[ \t]*#/ { next }
		/^[ \t]*$/ { next }
		{
			cmd = $1
			$1 = ""
			sub("^[ \t]*", "", $0)
		}

		function link(url, txt)
		{
			return "<a href=" q url q ">" txt "</a>"
		}

		function reset()
		{
			footprint=""
			category=""
			photo=""
			photo_html=""
		}

		(cmd == "footprint") { reset(); footprint=$0; next}
		(cmd == "category") { category=$0; next}
		(cmd == "photo") { photo=$1; photos=$0; next}
		(cmd == "row") {
			if (category != want_category)
				next

			comps=$0
			if (photo == "")
				photo_html = "<img height=100px>"
			else
				photo_html = link("photo/" photo, "<img height=100px src=" q "photo/" photo q ">")

			printf "<tr><td>" comps
			printf "<td>" photo_html
			print  "<td>" link("http://cgi.repo.hu/cgi-bin/pcblib-param.cgi?cmd=" footprint, footprint)

			v = split(comps, C, "[ \t,]")
			print "@", footprint > search
			print "cat", category > search
			for(n = 1; n <= v; n++)
				if (C[n] != "")
					print "comp", C[n] > search
			print "" > search

			comps=""
		}
	' | sort
}

tbl="$category.tbl.tmp"
gentbl "$category" < "$lst" > "$tbl"
edithtml "$html" "$tbl"
rm "$tbl"
