
# bedrock-rnd - curated footprints, symbols and devmaps for Ringdove EDA
# Copyright (C) 2025  Tibor 'Igor2' Palinkas
#
# dist-license: GPL2+
# use-license (license of the output): unlimited (CC0 or public domain)
#
# For more information: doc/license.html
#        or on the web: http://www.repo.hu/projects/bedrock-rnd/license.html
#
# Project page: http://www.repo.hu/projects/bedrock-rnd
#

function resolve_alias(aliases, target)
{
	while((getline < aliases) == 1)
		for(n = 1; n <= NF; n++)
			if (target == $n)
				return $1

	return target
}

BEGIN {
	help_auto()
	proc_args(P, "id,size,hint", "id")
	q = "\""

	close(aliases)
	P["id"] = resolve_alias(aliases, P["id"])
	close(aliases)
}

{
	id=$1
	if (id != P["id"]) next

	size=$2
	if ((size != "*") && (size != P["size"]) && (P["size"] != "")) next

	hint=$3
	if ((hint != "*") && (hint != P["hint"])) next

	res_cmd=$4

	if (want_rfp) {
		sub("-ipc", "-rfp", res_cmd)
		res_args=$6 "," $5
	}
	else
		res_args="density=B," $5


		sub("-L=", "PE=", res_args)
		sub("-S=", "PG=", res_args)
		sub("-T=", "PC=", res_args)
		sub("-W=", "PT=", res_args)
		sub("-C=", "PRP=", res_args)
		sub("-P=", "PP=", res_args)

		sub("-X=", "PW=", res_args)
		sub("-Y=", "PL=", res_args)
		sub("-A=", "BL=", res_args)
		sub("-B=", "BW=", res_args)
#	if (res_cmd ~ "so-")   <- in case letters are used incosistently
}

END {
	if (res_cmd != "")
		print dn "/" res_cmd " " q res_args q
}
